<?php
require 'AbstractUIGenerator.php';
require 'ActionQuantik.php';
require 'ArrayPieceQuantik.php';
require 'PieceQuantik.php';
require 'PlateauQuantik.php';
require 'Player.php';
require 'QuantikGame.php';
require 'QuantikUIGenerator.php';
require_once 'PDOQuantik.php';
ini_set('display_errors', 1);
ini_set('error_reporting', E_ALL);
function getPageHome()
{
    require_once 'db.php';
    PDOQuantik::initPDO($_ENV['sgbd'], $_ENV['host'], $_ENV['database'], $_ENV['user'], $_ENV['password']);
    $allGames = PDOQuantik::getAllGameQuantik();
    $page = '<!DOCTYPE html>
<html class="no-js" lang="fr" dir="ltr">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="Author" content="Adrien et le BG" />
    <link rel="stylesheet" href="quantik.css" />
    <title>Home</title>
  </head>
  <body>
   <div class="container"> <h1>Créer une partie</h1>
       <form action="traitementV2.php" method="post">
            <button type="submit" name="action" value="creerPartie">Nouvelle partie</button>
       </form>
   </div>
   <div class="container"> <h1>Continuer une partie</h1>
       <form action="traitementV2.php" method="post">
            <button type="submit" name="action" value="continuerPartie">Continuer</button>
       </form>
   </div>
   <div class="container"> <h1>Rejoindre une partie</h1>';

    foreach ($allGames as $game) {
        if ($game['gamestatus'] === 'constructed') {
            $data = json_decode($game['json']);
            $playeroneName = $data->couleursPlayers[0]->name;
            $page .= '<form action="traitementV2.php" method="post"> Partie créée par: '.$playeroneName." ";
            $page .= '<input type="hidden" name="gameid" value="'.$game['gameid'].'>"</input>';
            $page .= '<button type="submit" name="action" value="rejoindrePartie">Rejoindre</button></form>';
        }
    }
    $page .= '</div> <div class="container"> <h1 > Consulter une partie terminée </h1 >
       <form action = "traitementV2.php" method = "post" >
            <button type = "submit" name = "action" value = "consulterPartie" > Consulter</button >
       </form >
   </div >     
    <div class="container" > <h1 > Quitter</h1 >
       <form action = "traitementV2.php" method = "post" >
            <button type = "submit" name = "action" value = "quitter" > Quitter</button >
       </form >
   </div >      
  </body >
</html > ';
    return $page;
}


session_start();
print_r($_SESSION);
print_r($_POST);
if (!isset($_SESSION['player'])) {
    header('Location: login . php');
}
switch ($_SESSION['etat']) {
    case 'home':
        echo getPageHome();
        break;

    case 'choixPiece':
        //afficherChoixPiece
        break;

    case 'posePiece':
        //afficherPosePiece
        break;

    case 'consulterPartieVictoire':
        //getPagePartieVictoire
        break;

    case 'consulterPartieEnCours':
        //afficherPartieEncours
        break;

    default:
        $_SESSION['etat'] = 'home';
        echo QuantikUIGenerator::getPageErreur("Etat non reconnue", "indext.php");
        break;

}
