<?php
require 'AbstractUIGenerator.php';
require 'ActionQuantik.php';
require 'ArrayPieceQuantik.php';
require 'PieceQuantik.php';
require 'PlateauQuantik.php';
require 'Player.php';
require 'QuantikGame.php';
require 'QuantikUIGenerator.php';
ini_set('display_errors', 1);
ini_set('error_reporting', E_ALL);
session_start();
if(isset($_SESSION["partie"])){
    // Game en cours
    echo QuantikUIGenerator::getPageSelectionPiece($_SESSION["partie"], $_SESSION["partie"]->currentPlayer);
} else{
    // New Game
    $adrien = new Player("Adrien");
    $adrien->setId(5);
    $bg = new Player("BG");
    $bg->setId(4);
    $game = new QuantikGame(array($adrien, $bg));
    $_SESSION["partie"] = $game;
    echo QuantikUIGenerator::getPageSelectionPiece($_SESSION["partie"], $_SESSION["partie"]->currentPlayer);
}