<?php

require_once 'ActionQuantik.php';
require_once 'ArrayPieceQuantik.php';
require_once 'PieceQuantik.php';
require_once 'PlateauQuantik.php';
require_once 'Player.php';
require_once 'QuantikGame.php';


session_start();
// Changement du joueur
if(isset($_SESSION["partie"])) {
    // On regare où on en est dans la partie.
    switch ($_SESSION["partie"]->gameStatus){
        case "ChoixPiece":
            // Traitements choix piece
            if(isset($_POST["pieceChoisie"])){
                $_SESSION["position"] = intval($_POST["pieceChoisie"]);
                $_SESSION["partie"]->gameStatus = "PosePiece";
                header('Location: pagePosePiece.php');
            } else{
                // Erreur
                header('Location: pageErreur.php');
            }
            break;
        case "PosePiece":
            // Traitements Pose piece
            if(isset($_POST["boutonForm"])){
                $position = $_POST["boutonForm"];// Exemple: "1:0"
                $joueur = $_SESSION["partie"]->currentPlayer;
                if($joueur == PieceQuantik::WHITE){
                    $piece = $_SESSION["partie"]->piecesBlanches->getPieceQuantik($_SESSION["position"]);
                    $deck = $_SESSION["partie"]->piecesBlanches;
                } else{
                    $piece = $_SESSION["partie"]->piecesNoires->getPieceQuantik($_SESSION["position"]);
                    $deck = $_SESSION["partie"]->piecesNoires;
                }
                $x = intval(substr($position, 0, 1));
                $y = intval(substr($position, -1));
                $_SESSION["partie"]->plateau->setPiece($x,$y,$piece);
                echo "On passé le checkpoint 1";
                $deck->removePieceQuantik($_SESSION["position"]);
                echo "On passé le checkpoint 2";
                if(ActionQuantik::isGameWin($_SESSION["partie"]->plateau, $x, $y)){
                    $_SESSION["partie"]->gameStatus = "FinPartie";
                    header('Location: pageVictoire.php');
                } else{
                    $_SESSION["partie"]->currentPlayer = ($_SESSION["partie"]->currentPlayer + 1) % 2;
                    $_SESSION["partie"]->gameStatus = "ChoixPiece";
                    header('Location: pageChoixPiece.php');
                }
            }
            else{
                // Erreur
                header('Location: pageErreur.php');
            }



            break;
        case "AnnulerPiece":
            // Traitements Annuler piece
            break;
        case "FinPartie":
            // Traitements Fin Game
            break;
        default:
            // Erreur.
            header('Location: pageErreur.php');
    }
} else{
    // Erreur.
    header('Location: pageErreur.php');
}